Вступайте в СРО проектировщиков бесплатно с выгодой и гарантиями до конца месяца! Проектируйте по всей РФ!
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Угол поворота Viewport

Угол поворота Viewport

Ответ
Поиск в этой теме
Непрочитано 03.01.2004, 13:54 #1
Угол поворота Viewport
plaz
 
Проектирование обустройства нефтяных месторождений
 
Самара
Регистрация: 28.08.2003
Сообщений: 351

В пространстве модели есть xref, в пространстве бумаги есть Viewport в котором виден данный xref, но виден с поворотом на какой-то угол. Вопрос: как определить этот угол, только просто и без Angular Dimension (т.е. без замеров)
Просмотров: 8094
 
Непрочитано 03.01.2004, 16:33
#2
Arkady

AutoCad Development and Support
 
Регистрация: 21.08.2003
Israel
Сообщений: 183
Отправить сообщение для Arkady с помощью Skype™


Угол поворота для ViewPort:
Двойной клик внутри ViewPort - перешли в пространство модели,
команда UCS->View - построили систему координат по вздляду,
Проводим горизонтальную линию (ORTHO),
Возвращаем UCS в мировые.
List на построенную линию даст угол поворота для ViewPort.
Arkady вне форума  
 
Непрочитано 03.01.2004, 20:24
#3
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


Если правильно понял, тебе надо повернуть XREF in VPORT параллельно нижней кромки чертежа без подсчетов угла поворота??
Если так попробуй:
В модели проведи линию параллельную (в конечном результатте нижней кромке листа)
Поставь UCS > E выбери линию (pick one end), UCS повернется на угол поворота линии, потом комманда PLAN.
При этом КООРДИНАТЫ сохраняются.
Startrek вне форума  
 
Автор темы   Непрочитано 04.01.2004, 11:20
#4
plaz

Проектирование обустройства нефтяных месторождений
 
Регистрация: 28.08.2003
Самара
Сообщений: 351


2Arkady> Спасибо, необходимый результат достигнут, жалко только что так муторно. Я думал есть способы проще :roll:

2Startrek> Ничего вращать не надо. там и так все повернуто. Надо узнать угол этого поворота. Вообще в идеале: гляжу на свойства viewport'a, а там мне пишуть что xref такой-то повернут на такой то угол. Мечта
plaz вне форума  
 
Непрочитано 04.01.2004, 21:52
#5
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


Ну если так, Аркадий совершенно прав! Хорш способ.
А если тебе так хочется по свойствам определять, то если засветить (GRIPS) линию и в свойствах увидишь угол. В любом случае пожалуй другого способа чем Аркадий предложил нет наверное.
Startrek вне форума  
 
Непрочитано 06.01.2004, 14:29
#6
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 10,257


Оппа! а где-же мой ответ от вчера? ОК, повторяю:
Открой нужный VP и нажми на такую кнопочку:
^C^Cviewtwist;_pspace
Результат прочитаешь в командной строке
Vova вне форума  
 
Непрочитано 06.01.2004, 19:33
#7
Startrek

AutoCAD/AutoLISP
 
Регистрация: 27.08.2003
Seattle/USA
Сообщений: 1,133


Спасибо VOVA напомнил про вариаблес, вот как без кнопки простенький лисп

(defun c:wt()
(setq line (angtos(getvar"viewtwist") 0 4))
(alert (strcat "Angle - " line))
(princ)
)

а можно и на кнопку привесить
^c^c(load"wt");wt;
только проследить чтоб Аутокад могла наити где лисп находится
Startrek вне форума  
 
Автор темы   Непрочитано 08.01.2004, 11:59
#8
plaz

Проектирование обустройства нефтяных месторождений
 
Регистрация: 28.08.2003
Самара
Сообщений: 351


!!!Все таки я знал что есть способы проще!!!

Спасибо большое всем!!!

Speсial thanks to Vova
plaz вне форума  
 
Непрочитано 02.12.2006, 22:07
#9
Серёга - Bilder

проектирование гидротехнических сооружений
 
Регистрация: 20.02.2006
Москва
Сообщений: 5,229


Возникла проблемка:
как во Viewprt сделать изображение повёрнутым, но чтобы при этом в модели чтобы оно осталось в исходном положении?

- поясню:
есть протяжённый участок топоплана искривлённого участка реки. необходимо его "разодрать" на участки и разместить на листах выровнив приблизительно вдоль рамки листа (чтоб заказчегу было удобней смотреть).
раздирать этот топоплан "в лоб" и поворачивать каждый кусок - работа долгая и противная... вот увидел в одном файле от заказщиков что у них во вьюпортах разных один и тот же узел повёрнут на разные углы... Нас бы эта фенька очень выручила, но никто у нас не знает КАК это сделать.....

Подскажите??? :roll:
Серёга - Bilder вне форума  
 
Непрочитано 03.12.2006, 00:13
#10
GAP

инженер, строительство
 
Регистрация: 26.02.2004
Питер
Сообщений: 91


Не понял в чем сложность. Создаешь и сохраняешь UCS c разворотом для каждого участка, потом в каждом Viewportе разворачиваешь вид на план относительно нужной UCS.
GAP вне форума  
 
Непрочитано 03.12.2006, 02:49
#11
Dym


 
Регистрация: 27.09.2005
Двинскъ
Сообщений: 595
Отправить сообщение для Dym с помощью Skype™


Серёге: именно для этого пользую MVSETUP (CAD2007)
Dym вне форума  
 
Непрочитано 03.12.2006, 19:47
#12
Серёга - Bilder

проектирование гидротехнических сооружений
 
Регистрация: 20.02.2006
Москва
Сообщений: 5,229


GAP - не могли бы по шагам написать что как делается? а то что-то не понял... :roll:
2 mitjaj - работаем в основном в 2004-2005, кое-кто в 2006... [/quote]
Серёга - Bilder вне форума  
 
Непрочитано 04.12.2006, 17:27
#13
GAP

инженер, строительство
 
Регистрация: 26.02.2004
Питер
Сообщений: 91


Да просто разворачиваешь вид в каждом вьюпорте любым способом, к примеру 3dorbit, и все. Вид в модели не меняется.
Если точно надо, то используя панель UCS разворачиваем оси на нужный угол (по объекту или путем вращения относительно Z), заходим в named UCS , переименовываем Unnamed на, к примеру, 11111. Далее в бумаге создаем вьюпорт наводим на нужный участок, двойным щелчком внутри него переходим в модель, открываем view- named view , в правой закладке выбираем TOP, в низу из списка выбираем относительно каких осей, в нашем случае 11111 , set current,ok. Вид развернулся для остальных участков также, если все равно не понятно прочитайте любую книжку главу про виды.
GAP вне форума  
 
Непрочитано 04.12.2006, 22:39
#14
Серёга - Bilder

проектирование гидротехнических сооружений
 
Регистрация: 20.02.2006
Москва
Сообщений: 5,229


Спасибо!
Вроде смысл понял - попробую!
Серёга - Bilder вне форума  
 
Непрочитано 05.12.2006, 00:23
#15
Sergiy

Проектировщик, гидротехник
 
Регистрация: 23.03.2006
Киев
Сообщений: 59


[quote="Серёга - Bilder"]Возникла проблемка:
как во Viewprt сделать изображение повёрнутым, но чтобы при этом в модели чтобы оно осталось в исходном положении?

1. Определяешь угол на который надо повернуть изображение
2. В свойствах: "Display locked" устанавливаешь в "No"
3. Двойной щелчек внутри Viewport
4. В командной строке набираешь Dview - на подсказку жмешь Enter, затем набираешь "tw", жмешь Enter, набираешь угол, определенный в п.1, жмешь Enter - 2 раза
5. Затем с помощью панели "ucs" или одноименной команды выполняешь поворот на тот же угол, но с противоположным знаком - это для того, чтобы выровнять курсор.
Sergiy вне форума  
 
Непрочитано 05.12.2006, 02:27
#16
Юрий Губский

архитектура
 
Регистрация: 28.12.2005
Домодедово
Сообщений: 120


Еще простенький вариант по шагам:
Входишь в пространство модели во вьюпорте, далее например так:

_ucs

Current ucs name: *WORLD*
Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]
<World>: z (выбираем ось вращения)

Specify rotation angle about Z axis <90>: 20 (даем угол или указанием с привязкой)

Command: plan

Enter an option [Current ucs/Ucs/World] <Current>: (подтверждаем)
Regenerating model.


ps Обратный вариант к подобной теме
http://dwg.ru/forum/viewtopic.php?t=10829 :roll:
Юрий Губский вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Угол поворота Viewport

Реверс. Автоматическая пакетная печать множества рамок (форматов) из пространства модели и листов
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск